/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <> */

/**/
	/*fonts*/
	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151; /*text-gray-700*/
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151; /*text-gray-700*/
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, #000000d4);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
.slider-info {
    min-height: fit-content;
}
.cta-icon {
    border-color: #374151;
    color: #374151;
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
#welcome-wrap.style-1 .module-22 .ry-left img {
    border: none;
    border-radius: 0;
}

#welcome-wrap.style-1 .module-22 .ry-right .content-wrap p {
    text-align: center !important;
}
/* Services */
	/**/
.module-services.style-9:before {
    background: var(--color-primary-background);
    height: 50%;
    width: 30%;
    left: auto;
    right: 0;
    top: auto;
    bottom: 0;
    opacity: .2;
    border-top-left-radius: 200px;
}

.module-services.style-9 {
    overflow: visible;
    padding-top: calc(220px + 6.6vh);
}

.module-services.style-9 .ry-flex .ry-each .services-details h4 {
    color: #374151;
}

.module-services.style-9 .ry-flex .ry-each .services-details p {
    color: #666;
}

.module-services.style-9 .ry-flex .ry-each .ry-inner-flex .ry-each:nth-child(even) .photo {
    background: var(--color-primary-background);
}

.module-services.style-9 .ry-flex .ry-each .ry-inner-flex .ry-each:nth-child(odd) .photo {
    background: var(--color-secondary-background);
}

.module-services.style-9 .ry-flex .ry-each .ry-inner-flex .ry-each:nth-child(odd) .photo img {
    filter: invert(1);
}

.module-services.style-9 .ry-flex .ry-each .ry-inner-flex .ry-each.logo .photo {
    background: none;
}
/* Meet the Team */
	/**/
#section-hp-team h6, #section-hp-team p {
    color: var(--color-primary-text);
}
/* Insurance */
	/**/
/* Brand */
	/**/
#hp-brands-6 .overflow-hidden {
    padding: 0;
}

.t-swiper-button-next, .t-swiper-button-prev,
.brand-4-swiper-button-next,
.brand-4-swiper-button-prev {
  background-color: var(--color-primary-background);
}

#hp-brands-6 {
    padding-bottom: 630px;
}

#hp-brands-6::before {
    background-position: bottom center;
}

#hp-brands-6 .swiper-slide {
    background: #f1ede0
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.testimonials-swiper .swiper-slide {
    background: var(--color-primary-background);
    border-radius: 0;
}

.testimonials-swiper .swiper-slide:nth-child(even) {
    background: var(--color-secondary-background);
    border-radius: 0;
}

.testimonials-swiper .swiper-slide div {
    color: white;    
}
/* Footer */
	/**/
/*Media Queries*/
	/**/

@media (min-width: 768px) {
    .slider-info-left-bottom {
        bottom: 5%;
    }
}

@media (width < 1080px) {
    #hp-brands-1::before, #hp-brands-2::before, #hp-brands-3::before, #hp-brands-4::before, #hp-brands-5::before, #hp-brands-6::before {
        opacity: 1;
    }
}

@media (max-width: 1080px){
    .module-services.style-9 {
        padding-top: 6.6vh;
    }
    .module-services.style-9:before {
        border-radius: 0;
        width: 100%;
        height: 20%;
    }
}
@media (max-width: 1024px) {
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    #welcome-wrap.style-1 .module-22 .ry-left {
        margin-top: 6.6vh;
    }
    #welcome-wrap.style-1 .module-22 .ry-right {
        margin-bottom: 6.6vh;
    }
    #welcome-wrap.style-1 .module-22 .ry-content {
        gap: 40px;
    }
}
/* End - HP Edits*/

div#ry-footer-3 a:hover {
    color: var(--color-secondary-background);
}


@media (max-width: 1080px) {
    .promotions .max-w-fit {
        max-width: 300px !important;
        margin: auto;
    }

    .promotions h3, .promotions p {
        text-align: center;
    }

    .promotions p {
        max-width: 100%;
        margin: 10px 0;
    }

    .promotions h3, .promotions p {
        text-align: center;
    }

     .promotions .ry-btn {
        margin: auto;
    }

    .promotions .max-w-fit {
        max-width: 300px !important;
        margin: auto;
    }

    .promotions img {
        min-width: auto;
        max-width: 250px;
        width: 100%;
        margin: 0 auto;
    }
}


@media (max-width: 551px) {
    .promotions .pr-10 {
    padding-right: 0rem;
    }
}



body[data-page-name="promotions"] p.mt-14.text-xs.uppercase.text-gray-500 {
	display:none;
}
#ry-pg-body #navigation {
    background:#fff !important
}

#ry-footer-3 a:hover{
    color:var(--color-primary-background) !important
}

#ry-footer-3 .footer-bottom a:hover {
    color:var(--color-secondary-background) !important
}


@media(max-width:1680px) {
    div#navigation-style-7 img{
        position:absolute;
        top:-100px
}

    .ry-menu .ry-nav {
        gap:20PX;
        justify-content:center;
        flex-wrap:nowrap;
        margin:0 !important;
        width:100%;
        max-width:100%
    }
    div#navigation-style-7 {
        gap:15px;
        padding-inline:30px
    }
    div#navigation-style-7 .ry-menu.w-1\/5 {
        text-wrap:nowrap
    }
    div#navigation-style-7 .ry-menu.w-1\/5 a {
        padding-inline:15px !important;
    }
}
@media(max-width:1440px) {
        div#navigation-style-7 .ry-menu.w-1\/5 a {
        font-size:15px !important;
    }
    div#navigation-style-7 .ry-menu.w-1\/5 a span {
        margin-left:5px
    }
}

@media(max-width:1199px) {
    #floating-header {
        display:none
    }
    .snap-mobile-menu {
        display:flex !important;
        background:#fff
    }
}